# Instructions for doing hyperparameter search with Weights and Biases.
1. Log into W&B.
2. If you have already created the project skip to the next step, if not create it in the "Projects" tab and clicking "Create new project".
3. Then click on the "Sweeps" tab (broom icon).
4. If you have already created the sweep skip to 6th step, if not create it by clicking "Create Sweep".
5. In the sweep creation tab you need to define the parameters of the sweep, once the first run has been launched they cannot be changed. It is highly recommended saving your sweep configuration, since it is possible that future hyperparameter searches will be similar. https://docs.wandb.ai/guides/sweeps/define-sweep-configuration
   1. program -> Python script that will be called by the agent, the one that communicates with the W&B platform.
   2. method -> Optimisation method (grid, random or bayes).
   3. parameters -> Dictionary of parameters to be optimised, boundaries and distribution need to be indicated.
6. Copy the agent command, it will be similar to this "wandb agent ayusoupm/dmsr/ih7wyixk".
7. Paste the agent command on your terminal and the process will begin.
8. It is highly recommended running the agent command using some asynchronous functionality (https://linux.die.net/man/1/screen.
9. The results and logs of the sweep are accessible through the "Sweep" tab.
